#include "../score_match.h"

#include <iostream>
#include <cstdlib>

using namespace std;

int main() {
  const char *str = "/users/jxg/www/flib/ads/growth/aymt/multi/objectives/AYMTPublishDraftPostObjective.php";
  const char *str_lower = "/users/jxg/www/flib/ads/growth/aymt/multi/objectives/aymtpublishdraftpostobjective.php";
  const char *query = "aymtpublishdraftpost";

  MatchOptions options;
  options.case_sensitive = false;

  for (int iter = 0; iter < 10; iter++) {
    clock_t start = clock();
    double total = 0;
    for (int i = 0; i < 1000000; i++) {
      total += score_match(str, str_lower, query, options);
    }
    cout << double(clock() - start) / CLOCKS_PER_SEC << endl;
  }
}
